TAAS - Feature #110

Receipt+
12/07/2022 12:10 PM - Anil KV

Status: New Changes Start date: 12/07/2022
Priority: Normal Due date:

Assignee: Augustin Jose % Done: 50%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Receipt

Description

Coding Receipt

History

#1 - 12/13/2022 09:21 PM - Junaid M
- File 1-CsModel.cs added

- File 2-tsModel.ts added

- File 3-CsFile.cs added

- File 4-CsControllerFile.cs added

- File 5-TsFile.ts added

- File 6-HtmliFile.html added

- File sql.sql added

- Status changed from New to Open

- % Done changed from 0 to 10

#2 - 12/17/2022 11:43 AM - Junaid M

- Assignee changed from Junaid M to Muhasin PU

#3 - 12/17/2022 02:25 PM - Muhasin PU
- Status changed from Open to Coding Started
- % Done changed from 10 to 40

#4 - 02/06/2023 12:28 PM - Junaid M

TO DO:

- Bank Charge

- Receipt Multi-Party Doc No Generation -> RV/004#01, RV/004#02
- Against Doc (After Settiment Module)

CHECKS:

#5 - 03/15/2023 05:11 PM - Amal Cyriac

- Status changed from Coding Started to Reopen Bugs
- % Done changed from 40 to 50

- Tested By set to Amal Cyriac

ISSUE FOUND *****

1.Fix error on edit mode - Undefined

(FOP - Edit & Update)

2.Change color - FOP & Party buttons

(Right button bar)

3.Use upper case for short form - FOP , POS ID
(Alerts)
4.Corporate Card, Virtual Card , Debit & Credit Card Number input box - Set as number field
5.Use CODE:NAME format on Selection Box

(Cash Counter)

6.Autofill amount on both FOP & Party is wrong

#6 - 03/22/2023 11:43 AM - Junaid M
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#7 - 03/25/2023 04:50 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUND *****
1.Error while update- FOP Received Cheque

(After cheque deposit)

P0001: jsnSpOutRes: {"sinSglCustomStatus" : -1, "strSglCustomStatusCode" : "ERROR", "strSglCustomMessage" : "R
eceipt Save Failed", "strSglCustomErrorType" : "DATABASE_SYSTEM_ERROR", "strSglCustomErrorCode" : null, "strSg
1SysMessage" : "invalid transaction termination", "strSglSysExceptionDetail" : "", "strSqglSysExceptionHint"

"PL/pgSQL function sp_insert_or_update_mod_of_receipt_base (jsonb, smallint) line 242 at ROLLBACK\nSQL statement
\"CALL sp_insert_or_update_mod_of_receipt_base (jsnModOfReceipt, sinIsUpdate::SMALLINT, jsnSpOutRes)\"\nPL/pg$S

QL function sp_insert_or_update_receipt (jsonb, jsonb[], jsonb[], jsonb[],bigint[],bigint[]) line 116 at CALL", "b
inSglPk" : 24, "binSglLogPk" : 0, "strSglDocNo" : null, "dctSglOtherData" : {"binDocumentId": "24", "strDocume
ntNo": "RV/014", "binReceiptMasterId": "14"}}

#8 - 04/28/2023 10:06 AM - Muhasin PU
- Status changed from Reopen Bugs to Particialy Coding Done
- % Done changed from 50 to 40

#9 - 04/29/2023 04:17 PM - Amal Cyriac
- Status changed from Particialy Coding Done to Reopen Bugs

- % Done changed from 40 to 50

ISSUE FOUND *****

1.Add precission on grid summary - Debit

2.Extra Collection & Discount amount should be displayed on Grid
summary

#10 - 05/10/2023 06:57 PM - Junaid M
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#11 - 05/12/2023 06:01 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.Discount/Extra Collection values must be included on grid summary

#12 - 08/17/2023 03:40 PM - Seema Mathew

- Tested By changed from Amal Cyriac to Seema Mathew

ISSUE FOUNDED

1.FOCUS OUT ISSUING FOP

#13 - 09/15/2023 05:10 PM - Seema Mathew
ISSUE FOUNDED **

1.ERROR WHILE UPDATING AFTER ADDING A CORPORATE CARD AS FOP AND SALARY EXPENSE AS PARTY
#14 - 09/19/2023 11:04 AM - Seema Mathew
ISSUE FOUNDED***

1.AFTER SAVING ONE RECEIPT THE NEW RECEIPT SHOWING THE PAYEE NAME .
2.FILE NUMBER,ENQUIRY NUMBER MISSING WHILE SAVE.

#15 - 09/25/2023 03:08 PM - unnikannan S

Seema Mathew wrote in #note-14:

ISSUE FOUNDED***

1.AFTER SAVING ONE RECEIPT THE NEW RECEIPT SHOWING THE PAYEE NAME .

2.FILE NUMBER,ENQUIRY NUMBER MISSING WHILE SAVE.
3.CHEQUE DATE GOING TO PAST

#16 - 09/25/2023 04:45 PM - Seema Mathew
ISSUE FOUNDED****

1.WHILE ADDING ONE ENQUIRY NO DUPLICATION

#17 - 10/07/2023 05:32 PM - Junaid M
- Assignee changed from Muhasin PU to Junaid M

#18 - 10/12/2023 11:14 AM - Seema Mathew

Seema Mathew wrote in #note-16:
ISSUE FOUNDED****

1.WHILE ADDING ONE ENQUIRY NO DUPLICATION

2.ERASER NOT WORKING

#19 - 10/26/2023 09:44 AM - Junaid M
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#20 - 10/26/2023 06:07 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Seema Mathew to unnikannan S

ISSUE FOUNDED

1.ADD MANDATORY FIELD FOR DOC STATUS AND POSTING STATUS
2.REMOVE AMOUNT FIELD WHILE SELECTING NEW FOP

3.DONT ALLOW TO CHANGE ALREADY SAVED MAIN LEDGER

4.NOT CHANGING WHILE CLEARING ADDED SUB CUSTOMER
5.SHOWING SAME FILE TYPE WHILE ADDING ENQUIRY NO ONLY
6.ADD BLANK OPTION FOR CASH COUNTER

7.UI' ISSUE WHILE CHANGING ALREADY SAVED FILTERS IN EDIT MODE
8.DATE GOING TO PAST CHEQUE DATE

#21 - 10/29/2023 05:13 PM - Junaid M
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#22 - 10/30/2023 04:55 PM - unnikannan S
TESTING DONE
#23 - 10/30/2023 05:10 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.FOP,PARTY SHOWING US UNDEFINED WHILE CHANGING ALREADY SAVED ITEMS CHANG TO EDIT MODE WITHOUT ADDING ANOTHER

A/C
2.NOT CLEARING CURRENCY CODES FROM FOP,PARTY WHILE SELECTING (NEW)

3.FOCUS OUT ISSUE IN SUBCUSTOMER TAB
4.CHANGE FORMAT OF TOTAL RECEIVED,CREDIT BALANCE TAB REFER (PAYMENT)

#24 - 10/30/2023 05:14 PM - unnikannan S

unnikannan S wrote in #note-23:

ISSUE FOUNDED

1.FOP,PARTY SHOWING US UNDEFINED WHILE CHANGING ALREADY SAVED ITEMS CHANG TO EDIT MODE WITHOUT ADDING

ANOTHER A/C

2.NOT CLEARING CURRENCY CODES FROM FOP,PARTY WHILE SELECTING (NEW)
3.FOCUS OUT ISSUE IN SUBCUSTOMER TAB

4.CHANGE FORMAT OF TOTAL RECEIVED,CREDIT BALANCE TAB REFER (PAYMENT)
5.SHOW DEFAULT DEPARTMENT

#25 - 10/30/2023 06:05 PM - unnikannan S

unnikannan S wrote in #note-24:
unnikannan S wrote in #note-23:

ISSUE FOUNDED

1.FOP,PARTY SHOWING US UNDEFINED WHILE CHANGING ALREADY SAVED ITEMS CHANG TO EDIT MODE WITHOUT ADDING

ANOTHER A/C

2.NOT CLEARING CURRENCY CODES FROM FOP,PARTY WHILE SELECTING (NEW)
3.FOCUS OUT ISSUE IN SUBCUSTOMER TAB

4.CHANGE FORMAT OF TOTAL RECEIVED,CREDIT BALANCE TAB REFER (PAYMENT)
5.SHOW DEFAULT DEPARTMENT

6.MISSING SAVED DETAILS OF CARD WISE, DETAILS

#26 - 10/31/2023 12:26 PM - unnikannan S

unnikannan S wrote in #note-25:
unnikannan S wrote in #note-24:
unnikannan S wrote in #note-23:
ISSUE FOUNDED

1.FOP,PARTY SHOWING US UNDEFINED WHILE CHANGING ALREADY SAVED ITEMS CHANG TO EDIT MODE WITHOUT
ADDING ANOTHER A/C

2.NOT CLEARING CURRENCY CODES FROM FOP,PARTY WHILE SELECTING (NEW)

3.FOCUS OUT ISSUE IN SUBCUSTOMER TAB

4.CHANGE FORMAT OF TOTAL RECEIVED,CREDIT BALANCE TAB REFER (PAYMENT)

5.SHOW DEFAULT DEPARTMENT

6.MISSING SAVED DETAILS OF CARD WISE, DETAILS

7.SHOW ACT US SUPPLIER,CLIENT ACCOUNTS IN PARTY

#27 - 11/03/2023 10:20 AM - Seema Mathew

- Tested By changed from unnikannan S to Seema Mathew
ISSUE FOUNDED****

D 1.MISSING POS ID, CARD NO. IN FOP POP UP WHEN CHOOSE FOP AS CORPORATE CARD.
D 2.SHOWING FOP,PARTY US UNDEFINED WHILE CHANGING FOP,PARTY DROP DOWN AFTER SAVE
D 3.CANT ADD COST CENTRE IN PARTY

#28 - 11/13/2023 12:48 PM - Junaid M
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#29 - 11/28/2023 11:22 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Seema Mathew to unnikannan S

ISSUE FOUNDED

1.D - MISSING ADDED TAX/CHARGE DETAILS OF BANK AND CARDS IN FOCUS OUT

2.D - ADD VALIDATION FOR CORPORATE CARD POS/PG MANDATORY FIELDS WHILE ADDING CORORATE CARD WITHOUT CHOOSING IT
3.D - ERROR WHILE CHANGING FOP OF ALREADY DEPOSITED CHEQUE (ADD A VALIDATION)

4.D - SHOWING NAN WHILE ADDING LETTERS IN ROE FIELD

5.D - MISSING ADDED EXTRA COLLECTION IN FOCUS OUT

6.D - FALSE INFO MESSAGE

7.D - CANT ADD ATTACHMENT

8.D - ERROR WHILE UPDATING ALREADY SAVED DOC WITH MULTIPLE FOP (DELETED ONE FOP FROM LIST AND ADJUSTED WITH
PARTY AMOUNT FIELD)

9.D - CANT ADD ACCOUNTS CODE WISE IN PARTY TAB

10.D - MISING PARTY A/C IN FOCUS OUT

11.D - CORRECT THE PARTY DROP DOWN SCROLL OPTION

12.D - DONT ALLOW TO UPDATE ALREADY CANCELLED/RETURNED/DEPOSITED CHEQUES RECEIPT DOC NO

13.D - THE CHEQUE DEPOSIT DATE MUST BE EQUAL OR GREATER THAN THE DOCUMENT DATE

14.CANT ADD COMMISSION AGENT ACCOUNT IN PARTY FIELD

15.D - Block Edit Amount if Fop is Cheque and Status Changed.

#30 - 01/20/2024 11:48 AM - Junaid M
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#31 - 01/20/2024 02:52 PM - unnikannan S
TESTING DONE

#32 - 01/20/2024 02:57 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.CLEAR MAIN LEDGERS AFTER CLEARING PARTY/ACCOUNT FROM Ul

2.CORRECT THE SCROLL DOWN OPTION IN PARTY DROP DOWN FIELD

3.CLEAR CURRENCY CODE FROM GRID PARTY POP UP AFTER SAVING DOCUMENT
4.MISSING PRECISION FROM DISCOUNT/EXTRA COLLECTION FIELD AFTER SAVE

5.SHOW AGENT MAIN LEDGER DEFAULTLY WHILE ADDING COMMISSION AGENT IN PARTY

#33 - 01/23/2024 11:39 AM - Junaid M
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#34 - 01/23/2024 12:00 PM - unnikannan S
TESTING DONE

#35 - 02/21/2024 01:13 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

05/03/2025 5/12



- % Done changed from 60 to 50

ISSUE FOUNDED

1.ERROR WHILE CHANGING FOP FROM CONTROL A/C CHEQUE TO BANK DIRECT CHEQUE
2.NOT CLEARING ROE FROM LIST AFTER CLEARING FOP FROM FIELD (COMMON IN ALL DOCUMENTS SHARE)

#36 - 02/21/2024 01:15 PM - unnikannan S
- File img_20240221.png added

ISSUE FOUNDED

1.FIXED - ERROR WHILE CHANGING FOP FROM CONTROL A/C CHEQUE TO BANK DIRECT CHEQUE

2.FIXED - CLEAR CARD & CHEQUE DETAILS WHILE CLEARING FOP

(SHOWING ADDED DETAILS WHILE CHOOSING FOP DROP DOWN)

3.CHANGE IN DEFAULT CURRENCY IN CASE OF VALIDATION FROM MASTER ACCOUNT (COMMON SHARE)
4.FIXED- BLOCK UPDATION OF DEPOSITED CHEQUE ROOT DOC (IN CASE OF DELETING THE DEPOSIT DOC ALLOW
UPDATION/DELETION)

5.FIXED- ERROR WHILE ADDING AGAINST DOC WISE MATCHING (Input string was not in a correct format.)
6.MISSING MAIN LEDGER WHILE CHOOSING A ASSET-LIABILITY GROUPED LEDGER AS A CUSTOMER/SUPPLIER
7.FIXED- ALLOWING DOC NO AS MANUAL ENTRY

8.CONNECTIVITY OF DOC LOCKING (COMMON--.share)

9.CORRECT THE SYMBOL OF UPDATE BUTTON

10.FIXED - CLEAR DELETED POS FROM CARD POS FIELD

11.BLOCK VIEW,REVOKE,NEW SETTLEMENT BLOCKED THROUGH DOC LOCK MODULE (SHARE TO ALL)
12.ERROR WHILE CHOOSING FOP BUTTON Cannot read properties of undefined (reading 'sinPrecision’)

13.Fix Error Object Reference Null On Cheque Update

14.Allow Update/Delete In Case Of FOP As Cheque And Previous Cheque Activity Is Deleted

#37 - 06/28/2024 04:48 PM - Anonymous

- Status changed from Reopen Bugs to New Changes

GUI Changes 28/06/2024

1. [Master] Add Grouped Checkbox on Narration widget, Add field in db also (In Document). title=Ticked means show narration in print

2. [Party-Popup] Add Grouped Checkbox on Narration widget, Add field in db also (In party table). title=Ticked means show narration in print

3. Show narration only if checkbox ticked. Print to footer note always show inside footer signature part.
Do this in Sale/Refund/Rv/Pv

Print Changes

1. Create new Format "General - Custom Mod". Set as Default
2. In this format only Main data table content change to "Cash received, Cheque received, Receved from Card"...etc

#38 - 07/17/2024 02:50 PM - Arathy PS
- Status changed from New Changes to Reopen Bugs

- Tested By changed from unnikannan S to Arathy PS

ISSUE FOUNDED:
1. FIXED - NOT POSSIBLE TO DELETE A RECEIPT ITEM (party) WHEN MULTIPLE PARTIES ARE INVOLVED

#39 - 07/26/2024 11:54 AM - Arathy PS

ISSUE FOUNDED:
1) DONE - FILE NO: SHOULD BE UPPERCASE WHEN ENTERED

#40 - 08/10/2024 06:52 PM - Junaid M
Add Feature

1. Integrate "Receipt Multi-Party Doc No Generating Based On" In Set Doc No Format module.
2. Up on choosing UPI, Payee Bank should be from Banks (All Banks) module.

3. Up on choosing Cheque, the Bank should be from Banks (All Banks).

4. Change label ---- Date > Cheque Date*, Bank > Issue Bank.

5. FIXED - Change spell error--- Deposite Date > Deposit Date

#41 - 09/21/2024 11:10 AM - Junaid M

- Status changed from Reopen Bugs to New Changes
#42 - 10/09/2024 02:25 PM - Anil KV
- Subject changed from Receipt to Receipt+

#43 - 10/11/2024 11:23 AM - Arathy PS

- Status changed from New Changes to Reopen Bugs

ISSUE FOUND

1. Data not loading related to the cheque details after it is deposited, reconciliation and clear date.
2.employee is being loaded when card is selected as fop

Add Feature

1. Integrate "Receipt Multi-Party Doc No Generating Based On" In Set Doc No Format module.
2. Up on choosing UPI, Payee Bank should be from Banks (All Banks) module.

3. Up on choosing Cheque, the Bank should be from Banks (All Banks).

4. Change label ---- Date > Cheque Date*, Bank > Issue Bank.

#44 - 10/17/2024 06:47 PM - unnikannan S
- File clipboard-202410171847-dzinw.png added

#45 - 10/23/2024 01:05 PM - Arathy PS
ISSUE FOUND

1. Data not loading related to the cheque details after it is deposited, reconciliation and clear date.
2. Employee is being loaded when card is selected as fop.
3. Should be able to enter bank charge/card charge without adding service tax.-FIXED

Add Feature

1. Integrate "Receipt Multi-Party Doc No Generating Based On" In Set Doc No Format module.
2. Up on choosing UPI, Payee Bank should be from Banks (All Banks) module.

3. Up on choosing Cheque, the Bank should be from Banks (All Banks).

4. Change label when FOP is cheque---- Date > Cheque Date*, Bank > Issue Bank

5. Add Tax(Inclusive) if tax is inclusive.

6. Fetch POS Charge from POS/PG Master, currently fetched from POS/PG charge Module

#46 - 10/23/2024 03:08 PM - unnikannan S
ISSUE FOUND
1.Error While Adding Blank Option In Cash Counter Field-FIXED

2.Show Branch Defaultly in ui-FIXED
3. Add connectivity of 'maximum days of PD cheque received date' from admin settings.

#47 - 11/21/2024 07:12 PM - Arathy PS

- Status changed from Reopen Bugs to New Changes

NEW CHANGES

1. Add a drop down on the against doc label and name the other field as 'Cheque Conversion'

2. If cheque conversion is selected the against's pop up should be cheque search with status hold and represent.

3. After selecting a cheque from the pop up then in the against text field the selected cheque should show as format ~cheque no:; date; issued bank;
full amount(amount in current receipt)

4. As party Set cheque account and account field should be disabled after selecting cheque conversion ( cheque should be act as client)

#48 - 11/26/2024 01:14 PM - Junaid M
- Assignee changed from Junaid M to Nithin PM

#49 - 11/29/2024 03:59 PM - unnikannan S
- Status changed from New Changes to Reopen Bugs

- Tested By changed from Arathy PS to unnikannan S

#50 - 12/02/2024 10:47 AM - Nithin PM
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#51 - 12/02/2024 04:17 PM - Arathy PS

- File clipboard-202412021609-wffre.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. Error on saving a copy of an already saved receipt with FOP as received cheque, bank transfer with received cheque.--checked (issue in received
cheque FOP)

Travvise Receipt

aveL soLuTion PvTLTD

jsnSalRes: 'sinSql "1, "stSqlC de” : "ERROR", "strSal *Received Cheque Log Save Failed", "strSqiCustomErrorType” : “DATABASE_SYSTEM_ERROR', “strSqlCustomErrorCode” : null, * " "insert or update on table \"thlreceived_cheque logh" violates
foreign key constraint \'tb_received cheque_log_fi_received_doc_log_id_fkej\™, "strSqiSysExceptionDetail' : "Key (fk_received_doc_log_id)=(0) is not present in table \"tbl_documents_log\"", *strSqlSysExceptionHint" : ‘remote SQL command: INSERT INTO public.tbl_received_cheque_log(pk_received cheque_log_id,
fic_received cheque id, fi received_doc_log_id, fic_received_doc_id, fk last doc i, fk_cheque ac_id, fk cheque posting_ac_id, vhr_cheque no, dat_cheque, vhr_issued_bank, chr_root_cheque status, chr_current_cheque status, dat deposit, vhr_name_on_cheque, vhr_id_number, txt_remarks, vhr ledg_curency,
dbl ledg_cur_roe, dbl_ledg cur_ amount, vhr_base_currency, dbl_base_cur_amount) VALUES (1, 52, 33, $4, 5, $6, 57, S8, $9, 510, 511, §12, §13, §14, §15, $16, $17, $18, $19, 520, 521) RETURNING pk received_cheque log id\nSQL statement \"INSERT INTO lag.tb_received cheque log (pk received cheque log_id\rn
fk_received cheque id\rin fic received_doc_log idr\n fk received doc id\fin i last doc_id \rin\rin fk_cheque ac_id \rin fk_cheque posting_ac_id AAn\rin vhr_cheque no \rin dat cheque \rin vhr issued_bank,\f\n chr_root_cheque status, \An chr_current cheque status , \rin dat_depasit \An\rin
vhr_name_on_cheque \n vhe_id_number\An txt_remarks \ntn vhr_ledg_currency \iin dbl_ledg_cur_roe\rin dbl ledg_cur amount \iin\i\n vhi_base_currency \rin dbl_base.cur_amount)\rin\f\n SELECT (SELECT COALESCE(MAX(pk received_cheque_log_id), 0) = 1 FROM logtbl_received_cheque log) AS
pk_received_cheque_log_id\rin pk_received_cheque_id \rin CAST{binBocumentlogld AS BIGINT)\An fi_received_doc_id\\n fi_last_doc_id \rnirin fk_cheque_ac_id \iin fi_cheque_posting_ac_id \nn vhr_cheque_no \rin dat_cheque)\rin vhr_issued_bank\iin chr_root_cheque,_status, \fin chr_current,_cheque_status
\\n dat_deposit \An\rin vhr_name_on_cheque \n vhr_id_number\in txt_remarks \An\An vhr_ledg_currency \n dbl_ledg_cur_roe\r\n dbl_ledg_cur_smount\n\rin vhr_base_currency \An dbl_base_cur_amount\fin\fin FROM receivedcheque tbl_received_cheque WHERE pk_received_cheque_id =
CAST(binReceivedChequeld AS BIGINT)\f\n RETURNING ple_received_cheque log id\"\nPL/pgSQL function sp_insert_or_update_received_cheque_log(bigint,bigint) line 9 at SQL statement\nSQL statement \"CALL sp_insert_or_update_received_cheque log{CAST (jsnReceivedCheque-> >'binReceivedChequeld” AS
BIGINT):BIGINT, binDocumentlogld, jsnSalRes)\"\nPL/pgSQL function sp_insert_or_update_received cheque_base(jsonb,bigint) line 100 at CALL\nSQL statement \"CALL sp_insert_or_update_received_cheque_base(jsnReceivedCheaue, binDocumentLogld, jsnSalResh"\nPL/pgSQL function
sp_insert_or_update_mod_of_receipt_base(jsonb,smallint bigint) line 55 af CAL\nSQL statement \"CALL sp_insert_or_update_mod_of_receipt_base(jsnModOfReceipt, sinlsUpdate:SMALLINT, binDocumentLogld, jsnSpOutRes\\nPL/pgSQL function

sp_insert_or_update_rt jsonbf] jsonb,bigint{] bigint[].bigint{] bigint[]) line 132 at CALL", "binSqlPk" : 0, "binSqlLogPk" : 0, "strSgiDocNo" : null, "detSqlOtherData" : null}
Receipt Mo Date” | 02/12/2024 [ ] Branch™ | BROO1: Main v
Payes Nome - Department’ | DPOO1: Account v
Narration File No™~ Enquiry No® ~
“
nternal Note Reference

s

Cash Counter” v
Document Status™ | Active v By @ FoP

Phone

Posting Status” | Active vare
Total Received:  200.00 QAR

Approval Status:

Total Credit: 200.00 QAR
Created By:  admin(02/12/2024 03:46 PM)

Balance:  0.00 QAR

Modified By:
@ FoP &5 Party T @ =0}
#  Account Currency Received Credit ~ AmountIn QAR Branch Ref/Narration Details
1 RCHOOT:Recsived Cheque QAR 20000 0.00 200,00 Br Cheque No: 200, Date: 02/12/2024, Bank: .. & Tl
2 | CUS00T: IBRAHIM MOHHAMRD QAR 000 20000 20000Cr  BROOT: Main S w
Total QAR 200.00 200.00

2. Error on saving a copy of receipt with FOP as credit card, corporate card. -- CHECKED-another issue
'invalid transaction termination' -- error message.

3. Data not showing in the bank, clear date, reco no: fields after reconcilation is done.
4. Can't delete a settled document even though the auto revoke for settlement is selected for the user.--CHECKED

#52 - 12/04/2024 10:14 AM - Nithin PM
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#53 - 12/11/2024 01:16 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

. Data not showing in the bank, clear date, reco no: fields after reconcilation is done.

. Can't delete a settled document even though the auto revoke for settlement is selected for the user.
. Can edit, delete, print and attach in the documents after blocking them in user module previlage.

. PD cheques deposit date should be after document date.

. Connect with '"Maximum Days of PD Cheque Received Date' in admin settings.

. Own card is loading in fop-CHECKED

. Document search not showing result while searching using party

-- this.mdIDrCrNoteMaster.arlFkReleatedLedgerlds = []; (both in cs and ts)

NoO O~ wWwN =

1. If Menu service sys name and global constant name is same.
2. Sys name on document no: focus out and after saving.
3. Sys name while redirection.

#54 - 12/18/2024 02:22 PM - Arathy PS
NEW CHANGES

1. Changes in Extra Collection Section

--Need Tax like bank charge or CC charge.

2. Add the amount(not Inclusive Tax) party amount label
--Posting

Credit: Output tax (extra pay and tax both are credit)

#55 - 12/27/2024 06:43 PM - unnikannan S
- File clipboard-202412271843-yhscf.png added

#56 - 01/01/2025 04:33 PM - Arathy PS
ISSUE FOUND

1. Can't load credit cards when credit card is selected as an FOP from the drop down. - CHECKED

2. md file is missing as it is renamed. -CHECKED

#57 - 01/02/2025 09:46 AM - Anil KV

- Assignee changed from Nithin PM to Augustin Jose

#58 - 01/03/2025 11:20 AM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#59 - 01/06/2025 01:00 PM - Theja Ponon

- File clipboard-202501061300-t6eai.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

Travvise Receipt

TRAVEL SOLUTION PVT LTD

ome Party | celect - 0.00 QAR
Front FOP*~ | creoot Credit & Debit Card QAR V¥
- 1 CRC001: Credit 8 Debit Card QAR 1000.00 0.00

& 2 CUS002:: Customer2 QAR 0.00 1000.00

Total QAR 1000.00 1000.00

#60 - 01/08/2025 12:34 PM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#61 - 01/08/2025 05:35 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50
ISSUE FOUND

1) Own card load in fop -CHECKED

#62 - 01/09/2025 06:10 PM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#63 - 01/15/2025 02:47 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

. Add connectivity of 'maximum days of PD cheque received date' from admin settings.

. When FOP is credit card -- click copy button after saving data-- no validation for card number (Empty) while saving.

. When FOP is corporate card -- click copy button after saving data-- no validation for card number (Empty) while saving.
. Data not showing in the bank, clear date, reco no: fields after reconciliation is done.

. Data not showing in the deposit bank after a cheque is deposited.

. PD cheques deposit date should be after document date.

8. Employee is being loaded when card is selected as fop.

9.Virtual card load only when selecting virtual card in fop dropdown

10.Details given on choosing particular fop is not clearing after changing the fop into another,on try to change as previous fop all the details are
loading--in case of upi,bank,virtual card

11.0n choosing any fop dropdown is not changing based on the fop

12.incorrect value in deposit bank field

13.Issue on sub customer dropdown field

14.After copy Fop field cant update ,cheque number is not clearing

NOoO O~ W=

15. Show details of the Fop in the details column.
16. Expiry date when FOP is credit card not showing on edit mode.

17.Cant update a receipt after deleting all the document that modify the status of receipt

#64 - 02/17/2025 12:51 PM - Theja Ponon

Issue found

1)saved data of cheque is not removing from tables after changing the fop to another mode.
2)Same cheque no: should not be allowed even if issued bank is different

#65 - 02/20/2025 06:44 PM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#66 - 02/24/2025 04:38 PM - Arathy PS

- File clipboard-202502241638-avxhl.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. When we load a receipt in edit mode in one tab while its logged out in another tab then after logging in that tab and focus out again on the receipt
no: error occurs.
10N PYT LTD

qI:TfBXVise Receipt
-

Collapse [
“
Home
~ Receipt No | Rv/001 Date* | 21/02/2025 [ Branch* ~
Front Payee Name ~ Department” ~
Back Narration File No* - Enquiry No* ~
= Y
Report Internal Note Reference
Y
Cash Counter® v
[Find/info Document Status™  Active v By
Phone
L Posting Status®  Active ~ By
To Do
Total Received: 0.00 QAR
=] Approval Status:
st _ Total Credit:  0.00 QAR
Mact Created By Administrator(21/02/2025 03:27 PM)
3 Balance: 0.00 QAR
s Modified By:
fK L[O  Elements Console Sources Network Performance Memory  Application  Security Lighthouse  Recorder Q1naAl B B x
D @ twpv @& Y Fiter Default levels v | 1lssue: B 1 en €

mdlSearchAgainstDocInput » MdlSearchAgainstDocInput
Amount In Words -> 108 One Hundred Qatari riyal
» Opject

malSearchagainstDoclnput » MdlSearchigainstDocTnput

@ Failed to load resource: the server responded with a status of 4e1 () TAAS/APL/Account/Rec.dptInitializeData:1 @
© Failed to load resource: the server responded with a status of 481 () TAAS/APT/Account, iptInitializeData:1 @
Error->RECEIPTMASTER .COMPONENT.TS#001: “"Error Code: 481 \nMessage: Http failure response for https://1 11host :44: TAAS/APT/fAccount/Receipt/GetReceiptInitializeData: 401 OK"
© Failed to load resource: the server responded with a status of 481 () TAAS/APT, i 1®
@ Failed to load resource: the server responded with a status of 4e1 () TAAS/APL/Account/Rec.cedptByDocumenthio:1 @
Error Code: 401
Message: Http failure response for https://localhost:44382/TAAS/APT/Account/Receipt/Ge: 1 yDocumentho: 461 0K

TypeError: Cannot read properties of undefined (reading ‘sinPrecision’)
at ReceiptComponent. foRebuildReceiptlist (main.js:330720:142)
at main.js:329103:21
at .invoke (poly£ills.js:8686:158)
at Object.onInvoke (main.js:1877702:25)
st ZoneDelegate.invoke (polyfills.js:B086:46)
at Zone.run (polyfills.js:787:35)
at polyfills.jsi9171:28
st ZoneDelegate.invokeTask (polyfills.is:5119:171)
st Object.onlnvokeTask (main.js:1977699:25)

at ZoneDelegate.invokeTask (polyfills.is:5119:54)

#67 - 03/03/2025 05:59 PM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#68 - 03/08/2025 12:47 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. Created a main ledger for customer in COA-->Created a customer using main ledger--> deleted the customer--> changed main ledger to ledger-->
created a customer using same name and different main ledger-->In receipt when we enter the customer name stille the previous main ledger is
showing.

#69 - 03/10/2025 07:39 PM - Augustin Jose

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#70 - 03/17/2025 12:52 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. Load POS/PG based on Fop Currency (If pos/pg currency is different from fop currency then that pos/pg should not be loaded here)

#71 - 03/18/2025 02:40 PM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#72 - 04/05/2025 10:39 AM - Arathy PS
- Status changed from Reopen Bugs Coding Done to New Changes

- % Done changed from 70 to 50

NEW CHANGES

1. In the pop up label, Add Party (Cr), Add FOP (Dr)
2. Add reference in the party pop up.
3. Correct the alignment of deduction/extra collection section and print section with above section in party pop up.

#73 - 04/08/2025 12:23 PM - Arathy PS
NEW CHANGE

1. While choosing e-mail in print then the mail ID provided in the master module of the account should be loaded here by default.

Files

1-CsModel.cs 12.6 KB 12/13/2022 Junaid M
2-tsModel.ts 2.39 KB 12/13/2022 Junaid M
3-CsFile.cs 29.2 KB 12/13/2022 Junaid M
4-CsControllerFile.cs 25.2 KB 12/13/2022 Junaid M
5-TsFile.ts 15.2 KB 12/13/2022 Junaid M
6-HtmlFile.html 1.91 KB 12/13/2022 Junaid M
sql.sql 55.9 KB 12/13/2022 Junaid M
img_20240221.png 144 KB 02/21/2024 unnikannan S
clipboard-202410171847-dzinw.png 80.4 KB 10/17/2024 unnikannan S
clipboard-202412021609-wffre.png 200 KB 12/02/2024 Arathy PS
clipboard-202412271843-yhscf.png 63.9 KB 12/27/2024 unnikannan S
